Skip to navigation

Sharing Allowlist List Continue

Preview
View as Markdown

Lists entries associated with given team, starting from a the cursor. See sharing_allowlist/list.

Required scope: team_info.read

Endpoint format: RPC

Authentication: Team

Authentication

AuthorizationBearer

Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use Authorization: Bearer <token>.

Obtain via the authorization code flow with team-scoped permissions.

Grants access to team-wide administrative operations.

You can generate a short-lived access token from the App Console; see Testing with a generated token.

Request

This endpoint expects an object.
cursorstringRequired

The cursor returned from a previous call to sharing_allowlist/list or sharing_allowlist/list/continue.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
domainslist of strings

List of domains represented by valid string representation (RFC-1034/5).

emailslist of strings

List of emails represented by valid string representation (RFC-5322/822).

cursorstringOptionalDefaults to

If this is nonempty, there are more entries that can be fetched with sharing_allowlist/list/continue.

has_morebooleanOptionalDefaults to false

if true indicates that more entries can be fetched with sharing_allowlist/list/continue.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error